---
# tasks file for vcsshark
- block:
  - name: enable ubuntu group
    group: name=ubuntu state=present

  - name: enable ubuntu user
    user: name=ubuntu state=present shell=/bin/bash

  - name: Deploy memeSHARK Job
    shell: echo "Insert part for deployment here."
  when: task == "DEPLOY"
  remote_user: ubuntu
  become_user: ubuntu

- block:
  - name: Executing check
    shell: echo "python3.6 ~/memeshark/memeshark.py"
  when: task == "CONFIGURE"
  remote_user: ubuntu
  become_user: ubuntu
 
- block:
  - name: Start memeSHARK
    shell: python3.6 ~/memeshark/main.py -n {{ projectname }} -D {{ mongodb }} -H {{ mongolocation }} -p 27017
  when: task == "START"
  become_user: "ubuntu"
  remote_user: ubuntu
